Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 08-08-2009, 10:28 PM   #1
rgheck
Junior Member
rgheck began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Nov 2008
Device: none
Can't Compile Calibre on F11 x64

[rgheck@rghquad calibre-0.6.5]$ python setup.py build
Setup calibre version: 0.6.5
running build
running resources
Resources are up to date
running translations
Translations up to date
running gui
Images are up to date
running build_ext
building 'calibre.plugins.calibre_poppler' extension
Traceback (most recent call last):
File "setup.py", line 250, in <module>
'betas' : betas,
File "/usr/lib64/python2.6/distutils/core.py", line 152, in setup
dist.run_commands()
File "/usr/lib64/python2.6/distutils/dist.py", line 975, in run_commands
self.run_command(cmd)
File "/usr/lib64/python2.6/distutils/dist.py", line 995, in run_command
cmd_obj.run()
File "/usr/lib64/python2.6/distutils/command/build.py", line 134, in run
self.run_command(cmd_name)
File "/usr/lib64/python2.6/distutils/cmd.py", line 333, in run_command
self.distribution.run_command(command)
File "/usr/lib64/python2.6/distutils/dist.py", line 995, in run_command
cmd_obj.run()
File "/usr/lib64/python2.6/distutils/command/build_ext.py", line 343, in run
self.build_extensions()
File "/usr/lib64/python2.6/distutils/command/build_ext.py", line 469, in build_extensions
self.build_extension(ext)
File "/cvs/calibre-0.6.5/pyqtdistutils.py", line 144, in build_extension
return _build_ext.build_extension(self, ext)
File "/usr/lib64/python2.6/distutils/command/build_ext.py", line 566, in build_extension
target_lang=language)
File "/usr/lib64/python2.6/distutils/ccompiler.py", line 845, in link_shared_object
extra_preargs, extra_postargs, build_temp, target_lang)
File "/usr/lib64/python2.6/distutils/unixccompiler.py", line 218, in link
libraries)
File "/usr/lib64/python2.6/distutils/ccompiler.py", line 1239, in gen_lib_options
lib_opts.append (compiler.library_dir_option (dir))
File "/usr/lib64/python2.6/distutils/unixccompiler.py", line 267, in library_dir_option
return "-L" + dir
TypeError: cannot concatenate 'str' and 'NoneType' objects
rgheck is offline   Reply With Quote
Old 08-09-2009, 11:17 AM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,362
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Is qmake in your path? You may need to install the qt4 development tools
kovidgoyal is online now   Reply With Quote
Old 08-11-2009, 12:19 AM   #3
rgheck
Junior Member
rgheck began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Nov 2008
Device: none
Yes, the first problem seems to be that I have both qmake and qmake-qt4, so I used QMAKE=... and that helped. But then libpoppler wasn't found. Fixed that (had libpoppler-qt4.so.3, but no libpoppler-qt4.so).

Then I got a whole slew of errors when trying to build pictureflow. This turned out to be because qmake (for Qt3) was still being used there. So I went into build/....pictureflow/qt, ran qmake-qt4 -o Makefile.qt pictureflow.pro manually, and then was able to compile that. Then all was well. Looks like I could have changed something in pyqtdistutils, as well, to do that.

Perhaps you should look for qmake-qt4 first?
rgheck is offline   Reply With Quote
Old 08-11-2009, 12:34 AM   #4
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,362
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Now fixed to correctly use the QMAKE environment variable when building pictureflow as well
kovidgoyal is online now   Reply With Quote
Old 08-11-2009, 12:43 AM   #5
rgheck
Junior Member
rgheck began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Nov 2008
Device: none
This fixes it for me, except for the libpoppler issue, which is a Fedora problem, I assume.

--- pyqtdistutils.py.orig 2009-08-11 00:27:54.161464077 -0400
+++ pyqtdistutils.py 2009-08-11 00:41:38.795338399 -0400
@@ -1,4 +1,5 @@
#!/usr/bin/env python
+# -*- coding: utf-8 -*-
__license__ = 'GPL v3'
__copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
__docformat__ = 'restructuredtext en'
@@ -14,7 +15,15 @@
import sipconfig, os, sys, string, glob, shutil
from PyQt4 import pyqtconfig
iswindows = 'win32' in sys.platform
-QMAKE = os.path.expanduser('~/qt/bin/qmake') if 'darwin' in sys.platform else'qmake'
+if 'darwin' in sys.platform :
+ QMAKE = os.path.expanduser('~/qt/bin/qmake')
+else:
+ import distutils.spawn
+ if distutils.spawn.find_executable("qmake-qt4"):
+ QMAKE="qmake-qt4"
+ else:
+ QMAKE="qmake"
+
WINDOWS_PYTHON = ['C:/Python26/libs']
OSX_SDK = '/Developer/SDKs/MacOSX10.4u.sdk'

--- setup.py.orig 2009-08-11 00:28:00.521463725 -0400
+++ setup.py 2009-08-11 00:40:21.205588405 -0400
@@ -1,3 +1,4 @@
+# -*- coding: utf-8 -*-
from __future__ import with_statement
__license__ = 'GPL v3'
__copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
@@ -76,7 +77,14 @@
entry_points['console_scripts'].append(
'calibre_postinstall = calibre.linuxost_install')
optional = []
- qmake = '/Volumes/sw/qt/bin/qmake' if isosx else 'qmake'
+ if isosx:
+ qmake = '/Volumes/sw/qt/bin/qmake'
+ else:
+ import distutils.spawn
+ if distutils.spawn.find_executable("qmake-qt4"):
+ qmake="qmake-qt4"
+ else:
+ qmake="qmake"
qmake = os.environ.get('QMAKE', qmake)
def qmake_query(arg=''):
return subprocess.Popen([qmake, '-query', arg],
rgheck is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Compile from Source krischik Calibre 8 06-04-2010 08:17 AM
Calibre binary for Debian Lenny x64 Megatron-UK Calibre 1 01-30-2010 12:56 PM
Problem install calibre 0.6.33 (linux x64) AprilHare Calibre 11 01-11-2010 03:18 PM
Calibre will not start on Win7 x64. llsecurity Calibre 14 09-25-2009 06:45 PM
Calibre compile error JeffElkins Calibre 6 10-24-2008 06:59 PM


All times are GMT -4. The time now is 08:14 AM.


MobileRead.com is a privately owned, operated and funded community.